Subject: [ipcdn] Problems with docsIfUpstreamChannelTable in draft-ietf-ipcdn-docs-rfmibv2-12

From: "Randy Presuhn" <[email-masked]>
Date: Sun, 30 Jan 2005 17:47:01 -0800

Hi -

There are some problems with
docsIfUpstreamChannelTable in draft-ietf-ipcdn-docs-rfmibv2-12

docsIfUpChannelModulationProfile: returning a genErr under those
circumstances would be inappropriate.  RFC 3416 section 4.2.5
clearly indicates that inconsistentValue would be the correct response.

docsIfUpChannelSlotSize - should have UNITS

docsIfUpChannelTxTimingOffset - should have UNITS

docsIfUpChannelScdmaActiveCodes - since the primes can never be set
and can never be returned, they should be excluded in the SYNTAX

docsIfUpChannelScdmaCodesPerSlot: needs UNITS, and would be better as Unsigned32

docsIfUpChannelScdmaFrameSize needs UNITS

docsIfUpChannelScdmaHoppingSeed - may be set to non-zero for non-scdma?

docsIfUpChannelUpdate: the use of genErr and commitFailed is inappropriate in
this DESCRIPTION.  RFC 3416 section 4.2.5 clearly indicates that inconsistentValue
would be the correct response.

Randy

_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn